#!/usr/bin/sh

use_influxdb=true
influxdb_host="<ip>"
influxdb_orgid="<org ID>"
influxdb_token="<token>"
influxdb_bucket="tcp_metrics"

clang-11 -g -O2 -target bpf -c tp_tcp.c -o tp_tcp.o && \
gcc ic.c load_bpf.c -o load_bpf -lbpf && \
if [ "$use_influxdb" = true ]; then
    sudo ./load_bpf $influxdb_host $influxdb_orgid $influxdb_token $influxdb_bucket
else
    sudo ./load_bpf --no-influxdb
fi
