#!/usr/bin/bash

curl -i -X POST "http://192.168.1.68:8086/api/v2/query?bucket=tcp_metrics&orgID=f32d493484526abc" \
	--header "Authorization: Token $1" \
    --header "Accept: application/csv" \
    --header "Content-Type: application/vnd.flux" \
    --data 'from(bucket: "tcp_metrics")
                |> range(start: -5m)
                |> filter(fn: (r) => r["_measurement"] == "tcp_reset")
                |> filter(fn: (r) => r["host"] == "127.0.0.1")
                |> filter(fn: (r) => r["_field"] == "value")
                |> yield(name: "mean")'
